eRoom Upgrade - Sunday April 17

An upgrade to eRoom is planned for Sunday April 17 between 9:30am and 2:30pm. This upgrade will provide support for later versions of IE and Firefox, as well as implement some bug fixes.

Update: eRoom is operational again, as of 12:30pm, April 17.

Notes:

(1) the eRoom Plugin should work with Firefox 3.6 and IE 8. (Windows XP and Windows 7 - 32 bit and 64 bit). 64-bit Windows 7 requires 32-bit IE 8 which should be installed by default.

(2) On XP with FireFox 3.6 use this URL to upgrade the plugin (version 503.152) if you already had an older one installed and it does not seem to work

(3) On Mac 10.6, eRoom works with Firefox 3.6, 4.0 and Safari 4.0. (no plugin available however).